#include "asm86.h"
#include "ti86asm.inc"

;Original Routines by David E. West <bdaddy@mit.edu>

disp1 = $d747
disp2 = $d746
disp3 = $d745
disp1addr = $d743
disp2addr = $d741
disp3addr = $d739
off = $d738

.org $d748

start:
 call _runindicoff
   ld hl,$fc00
   ld (disp1addr),hl
   ld a,h
   sub $c0
   ld (disp1),a
   ld hl,$c900
   ld (disp2addr),hl
   ld a,h
   sub $c0
   ld (disp2),a
   ld hl,$d300
   ld (disp3addr),hl
   ld a,h
   sub $c0
   ld (disp3),a
   ld a,$0
   ld (off),a
   call draw_screen

loop:
   ld a,(disp3)
   out (0),a
   halt
   ld a,(disp2)
   out (0),a
   halt
   halt
   ld a,(disp1)
   out (0),a
   ld a,%00111111
   out (1),a
   in a,(1)
   bit 6,a
   jr z,exit
   call key_pressed
   halt
   halt
   halt
   halt
   jr loop

exit:
   call _clrLCD
   jp _homeup
 
key_pressed:
   ld a,%01111110
   out (1),a
   in a,(1)
   bit 3,a
   jr z,screen_up
   bit 0,a
   jr z,screen_down
   ret
 
screen_up:
   ld a,(off)
   cp $02
   ret z
   sub $02
   ld (off),a
   call draw_screen
   ret

screen_down:
   ld a,(pichieght)
   ld b,a
   ld a,(off)
   cp b
   ret z
   add a,$02
   ld (off),a
   call draw_screen
   ret
   
draw_screen:
   ld hl,disp1data
   ld a,(off)
   cp 0
   jr z,s1
   ld b,a
   ld de,$10
l1:
   add hl,de
   djnz l1
s1:
   ld de,(disp1addr)
   ld bc,$3ff
   ldir
   ld hl,disp2data
   ld a,(off)
   cp 0
   jr z,s2
   ld b,a
   ld de,$10
l2:
   add hl,de
   djnz l2
s2:
   ld de,(disp2addr)
   ld bc,$3ff
   ldir
   ld hl,disp3data
   ld a,(off)
   cp 0
   jr z,s3
   ld b,a
   ld de,$10
l3:
   add hl,de
   djnz l3
s3:
   ld de,(disp3addr)
   ld bc,$3ff
   ldir
   ret

pichieght: ;Height past 64
.db 110
disp3data:
 .db $D0,$00,$6A,$7F,$FF,$7A,$F4,$80,$04,$00,$5F,$F9,$FD,$C0,$88,$68
 .db $F8,$00,$1B,$3F,$FF,$FD,$FB,$A0,$00,$00,$67,$FE,$FF,$C0,$89,$E4
 .db $EC,$00,$14,$BF,$FF,$FC,$FE,$A0,$00,$00,$47,$FD,$FD,$40,$09,$DA
 .db $FC,$80,$0E,$BF,$FF,$FF,$7B,$A0,$06,$00,$13,$FB,$FE,$60,$89,$AD
 .db $FC,$40,$06,$4F,$FF,$FF,$7E,$F0,$00,$00,$36,$FF,$FC,$C0,$8B,$F1
 .db $F2,$10,$03,$1F,$FF,$FA,$BD,$D0,$02,$00,$41,$F7,$FF,$00,$0A,$E7
 .db $E7,$60,$00,$23,$F3,$FE,$5D,$C0,$04,$00,$03,$FF,$F3,$80,$8A,$47
 .db $FF,$F0,$02,$07,$FF,$FE,$9D,$D1,$21,$00,$43,$EF,$F5,$00,$09,$86
 .db $FF,$E0,$03,$83,$FF,$FF,$9E,$D8,$2E,$00,$C2,$FF,$FE,$01,$0A,$98
 .db $7C,$EA,$01,$88,$7F,$FE,$5F,$C8,$27,$00,$E3,$FF,$FA,$00,$8B,$23
 .db $7E,$F7,$81,$CC,$FD,$FE,$DF,$59,$37,$00,$01,$FF,$FB,$90,$08,$30
 .db $7F,$FF,$FC,$20,$FD,$FF,$5E,$FC,$2A,$04,$C0,$FF,$D6,$90,$18,$64
 .db $3F,$FD,$FF,$B6,$7F,$FF,$6E,$EC,$34,$04,$A1,$BF,$B6,$00,$8D,$6E
 .db $3F,$BD,$FF,$F0,$3A,$FF,$8F,$6D,$3F,$C4,$41,$7F,$F7,$00,$89,$C1
 .db $9F,$9C,$FF,$FA,$1F,$FF,$E7,$FD,$19,$C0,$81,$7F,$EE,$21,$07,$8D
 .db $1F,$FF,$FF,$FC,$04,$7F,$A2,$6C,$3F,$40,$00,$FF,$FC,$00,$07,$A3
 .db $4F,$FE,$FF,$F6,$8E,$7F,$E2,$3C,$BF,$44,$40,$FF,$CE,$31,$07,$AF
 .db $4F,$FF,$3F,$EF,$83,$7F,$FF,$BF,$3F,$40,$40,$7F,$FC,$00,$0F,$2B
 .db $57,$FB,$DF,$FB,$61,$FF,$C3,$F7,$BF,$64,$00,$FF,$DC,$00,$0C,$27
 .db $F3,$F7,$FF,$FB,$F3,$FF,$CB,$F6,$7E,$E4,$01,$FE,$FC,$21,$0F,$4F
 .db $EB,$FF,$5F,$FB,$FC,$3F,$E9,$FF,$FF,$64,$81,$7E,$9C,$00,$5E,$27
 .db $84,$FD,$E7,$FD,$FE,$3F,$F9,$BF,$FF,$40,$00,$7D,$F8,$43,$38,$D7
 .db $66,$7E,$F3,$FF,$DE,$FF,$E5,$B6,$FF,$64,$80,$FD,$B4,$41,$7A,$37
 .db $51,$BA,$7F,$FF,$7F,$3F,$F8,$FF,$FF,$F4,$81,$FB,$B8,$40,$F1,$2F
 .db $18,$BF,$7D,$FF,$7E,$DF,$FA,$FF,$FF,$7C,$00,$FE,$BC,$00,$F1,$9F
 .db $0C,$8F,$FD,$F7,$FF,$DF,$FC,$FB,$9F,$BC,$01,$F9,$F0,$84,$C0,$3F
 .db $0A,$17,$BF,$FF,$7F,$A7,$FA,$9B,$9F,$F0,$00,$75,$30,$07,$E1,$0F
 .db $02,$23,$EF,$B7,$FA,$07,$3E,$DD,$DF,$F8,$00,$F9,$E0,$8B,$40,$2F
 .db $09,$33,$EF,$3F,$DD,$8D,$FE,$D9,$9F,$F9,$00,$F7,$A1,$8D,$50,$6F
 .db $05,$D8,$F7,$BD,$C1,$00,$39,$9D,$9F,$BC,$00,$F7,$60,$0F,$82,$1D
 .db $E5,$28,$FB,$DC,$0E,$80,$1C,$CC,$9F,$B9,$40,$92,$D0,$1F,$04,$1F
 .db $FE,$40,$75,$76,$6F,$00,$01,$2B,$9F,$F8,$40,$CD,$60,$81,$00,$1D
 .db $7F,$F0,$7D,$FB,$FF,$80,$01,$2D,$DF,$F0,$40,$98,$21,$06,$0C,$3F
 .db $FF,$81,$7F,$F7,$FF,$00,$01,$BC,$BF,$F0,$40,$B0,$60,$2E,$08,$37
 .db $DF,$89,$FE,$F5,$FF,$00,$00,$5E,$4F,$F0,$43,$70,$06,$14,$00,$1F
 .db $9F,$F0,$3F,$F7,$FB,$00,$00,$6F,$DF,$B0,$00,$70,$1F,$80,$10,$3F
 .db $FF,$E8,$5F,$5F,$FF,$00,$00,$7F,$CF,$B8,$00,$30,$0F,$08,$10,$3F
 .db $7F,$FC,$5F,$CF,$FD,$80,$00,$16,$CF,$BC,$18,$F0,$32,$30,$20,$7E
 .db $7F,$FE,$0F,$EF,$FF,$80,$00,$0F,$CF,$FC,$11,$60,$00,$20,$60,$BC
 .db $BF,$FA,$87,$EF,$FF,$80,$00,$0F,$6F,$EC,$20,$00,$18,$40,$80,$54
 .db $DF,$FA,$0F,$FF,$FF,$80,$00,$0B,$FF,$F8,$41,$40,$35,$00,$80,$6E
 .db $0D,$FF,$43,$BF,$FF,$C0,$00,$04,$E6,$98,$B9,$80,$35,$C0,$81,$C0
 .db $FF,$6F,$05,$FF,$FF,$C0,$00,$00,$4C,$F8,$C1,$81,$38,$A1,$13,$E8
 .db $DB,$BF,$93,$9F,$FF,$C0,$00,$02,$A7,$78,$C3,$00,$22,$02,$20,$02
 .db $FB,$BF,$63,$FF,$FF,$C0,$30,$0C,$27,$78,$01,$81,$62,$84,$00,$02
 .db $FB,$DF,$CB,$BF,$FD,$80,$60,$00,$17,$E0,$03,$44,$40,$81,$0D,$C7
 .db $FF,$FF,$F3,$FF,$FF,$80,$60,$0C,$16,$7D,$05,$03,$7D,$80,$05,$04
 .db $7F,$7F,$F8,$BF,$FC,$80,$A0,$04,$16,$F4,$05,$25,$A9,$11,$0A,$37
 .db $FE,$BF,$FD,$BF,$FC,$C7,$64,$00,$03,$E8,$00,$C4,$D1,$10,$10,$0B
 .db $DA,$3F,$FF,$BF,$FF,$F2,$84,$04,$07,$F0,$00,$4A,$C1,$02,$22,$87
 .db $5D,$17,$FD,$FF,$FF,$F7,$40,$04,$07,$C0,$01,$0F,$F0,$05,$C0,$97
 .db $27,$8E,$FF,$BF,$FD,$D8,$3C,$00,$01,$70,$80,$06,$00,$48,$30,$83
 .db $71,$81,$7F,$BF,$FF,$F0,$18,$00,$0A,$40,$00,$00,$00,$80,$E9,$20
 .db $F8,$C2,$9F,$BF,$FF,$E8,$40,$00,$01,$40,$02,$02,$00,$88,$D2,$10
 .db $FC,$21,$7F,$BF,$FF,$F8,$18,$80,$00,$80,$00,$04,$00,$00,$A0,$4E
 .db $FF,$F2,$6F,$FF,$3F,$FE,$02,$00,$00,$02,$05,$00,$00,$42,$84,$5E
 .db $FE,$3C,$23,$FF,$7F,$FC,$01,$00,$80,$00,$00,$07,$00,$41,$0C,$40
 .db $FB,$B8,$C5,$EE,$7F,$FD,$00,$80,$20,$00,$04,$20,$00,$40,$00,$C0
 .db $FF,$FD,$E1,$B6,$7F,$FD,$00,$A0,$40,$06,$84,$08,$00,$C0,$13,$C0
 .db $3F,$DD,$C7,$C0,$65,$01,$00,$48,$00,$03,$04,$3A,$00,$C0,$01,$98
 .db $5F,$EF,$7C,$D8,$64,$04,$C0,$08,$18,$01,$85,$20,$00,$C0,$22,$3C
 .db $F3,$F1,$FE,$9D,$69,$FE,$E0,$06,$A0,$38,$46,$80,$F8,$40,$8C,$90
 .db $36,$F9,$F9,$8F,$E7,$FF,$D4,$06,$04,$04,$70,$07,$92,$41,$0F,$61
 .db $7F,$7D,$1F,$9D,$E3,$FB,$C0,$00,$12,$25,$0A,$0A,$FB,$98,$0B,$20
 .db $16,$1D,$DF,$FF,$DB,$FF,$E2,$81,$80,$2D,$8C,$53,$F3,$F0,$16,$D0
 .db $9D,$9D,$87,$DF,$97,$FF,$E0,$01,$80,$D0,$C0,$65,$F1,$FA,$2F,$80
 .db $16,$73,$07,$FF,$DF,$FF,$F8,$00,$82,$E4,$0C,$17,$C8,$7C,$77,$93
 .db $20,$F7,$83,$FF,$96,$73,$F7,$14,$21,$C4,$07,$3E,$E8,$60,$FF,$09
 .db $F0,$9F,$F7,$FF,$B3,$20,$F9,$80,$80,$02,$6F,$FF,$EF,$7F,$FF,$E5
 .db $50,$5B,$EB,$FF,$86,$02,$2A,$41,$40,$01,$5D,$77,$FD,$88,$7F,$E4
 .db $E6,$09,$61,$FF,$FF,$80,$1E,$E8,$20,$03,$F9,$E6,$74,$45,$B3,$8C
 .db $FD,$07,$E6,$FF,$FF,$A0,$03,$68,$00,$03,$FE,$00,$C1,$EB,$D9,$B0
 .db $BE,$07,$7F,$FF,$FF,$80,$07,$9C,$20,$0A,$6F,$84,$B5,$C9,$84,$70
 .db $FF,$C5,$FC,$FF,$FF,$90,$02,$64,$00,$02,$9B,$04,$DF,$EC,$4E,$A1
 .db $FF,$07,$F3,$FF,$FE,$00,$00,$58,$00,$00,$48,$00,$F5,$00,$97,$88
 .db $FF,$FF,$FD,$FF,$FE,$10,$01,$F1,$00,$20,$54,$00,$82,$B4,$81,$12
 .db $FF,$F3,$F7,$FF,$FE,$40,$02,$1F,$04,$22,$60,$00,$1D,$8D,$6A,$2A
 .db $FE,$01,$FB,$FF,$FE,$C0,$04,$76,$47,$44,$88,$0A,$0F,$FD,$2D,$AA
 .db $83,$03,$FF,$FF,$FF,$88,$02,$4F,$5A,$62,$EC,$0A,$06,$00,$34,$00
 .db $E8,$43,$EA,$7F,$FF,$08,$08,$67,$0A,$FD,$C0,$02,$09,$20,$11,$10
 .db $08,$03,$FA,$7F,$FF,$C0,$00,$00,$2F,$E9,$00,$00,$19,$00,$00,$24
 .db $93,$81,$FC,$6F,$FF,$80,$04,$41,$EF,$7A,$00,$06,$18,$40,$00,$40
 .db $F2,$39,$F7,$1B,$FF,$C1,$CF,$C0,$1B,$EA,$AC,$02,$03,$00,$00,$01
 .db $DF,$D2,$79,$2F,$FF,$D8,$00,$0A,$AB,$A8,$31,$D0,$23,$C0,$10,$70
 .db $FE,$00,$7B,$6F,$FF,$FB,$A0,$29,$03,$84,$04,$08,$15,$20,$0E,$00
 .db $6F,$80,$1B,$1F,$FF,$FB,$C4,$00,$83,$2A,$36,$FA,$3F,$80,$00,$00
 .db $FF,$99,$1D,$87,$FA,$D0,$10,$79,$5B,$28,$E0,$0C,$10,$38,$00,$00
 .db $FF,$FC,$8F,$4F,$F4,$8B,$00,$80,$38,$01,$3B,$99,$60,$20,$00,$00
 .db $FF,$FE,$17,$A3,$E1,$50,$00,$00,$70,$01,$AE,$3C,$AC,$70,$00,$00
 .db $FF,$FF,$0B,$C5,$BF,$20,$00,$00,$28,$01,$CE,$00,$30,$80,$00,$00
 .db $FF,$FF,$E5,$D5,$FF,$B0,$00,$00,$18,$00,$A4,$00,$4A,$F0,$00,$00
 .db $FF,$E0,$D6,$F3,$FF,$F8,$00,$00,$00,$10,$06,$00,$AF,$D9,$20,$00
 .db $FF,$F3,$10,$E9,$F3,$76,$00,$00,$20,$20,$0D,$94,$D7,$FF,$01,$02
 .db $FF,$FE,$20,$FF,$FF,$7B,$00,$00,$78,$10,$06,$74,$BF,$FE,$C1,$84
 .db $FF,$FD,$A0,$87,$F7,$FC,$00,$00,$74,$10,$0F,$4C,$7F,$FF,$D0,$12
 .db $FF,$FF,$C4,$FD,$EF,$FE,$00,$00,$FC,$20,$06,$2B,$5F,$FF,$FE,$05
 .db $FF,$FF,$39,$7E,$FF,$FC,$00,$00,$FE,$28,$0A,$EC,$83,$FF,$FE,$F7
 .db $FF,$FF,$DE,$FF,$FF,$EC,$00,$00,$7A,$28,$0A,$4C,$00,$3F,$FF,$FF
 .db $E3,$FF,$FF,$7E,$FF,$D5,$F0,$00,$85,$E0,$00,$14,$00,$07,$FF,$FF
 .db $FF,$F7,$FF,$7F,$FF,$F7,$70,$00,$6D,$20,$00,$46,$40,$1D,$FF,$FF
 .db $7F,$FF,$FF,$9B,$7F,$8E,$44,$04,$06,$80,$00,$38,$80,$00,$2F,$EF
 .db $FF,$FF,$FC,$3F,$7F,$D7,$40,$07,$00,$28,$00,$E5,$20,$00,$7F,$FF
 .db $FF,$FF,$FD,$FF,$FE,$3F,$00,$40,$1C,$68,$01,$45,$00,$00,$7F,$FF
 .db $FC,$7E,$79,$FF,$FF,$F3,$00,$1A,$04,$80,$00,$06,$00,$01,$FA,$7F
 .db $1C,$6F,$E3,$FF,$FF,$FB,$02,$05,$80,$04,$1B,$40,$80,$33,$FF,$F8
 .db $6D,$F5,$F5,$FF,$9F,$FE,$81,$20,$00,$01,$12,$B0,$33,$FF,$FF,$FF
 .db $CD,$9B,$FD,$FF,$DF,$FB,$02,$20,$01,$00,$00,$4A,$7F,$FF,$FF,$FF
 .db $D7,$FF,$C5,$FF,$DF,$FD,$02,$23,$18,$00,$00,$A9,$FF,$FF,$FF,$FF
 .db $97,$FE,$1B,$FF,$FF,$FE,$02,$2F,$FF,$02,$01,$CF,$FF,$FF,$FF,$FF
 .db $E3,$DF,$BF,$FF,$FF,$FE,$00,$17,$FF,$B2,$01,$4F,$FF,$FF,$FF,$FF
 .db $F6,$FC,$BF,$FF,$E7,$FC,$01,$1B,$FF,$C4,$00,$CF,$FF,$FF,$FF,$FF
 .db $D1,$79,$FB,$FF,$F7,$FF,$82,$3F,$FF,$EA,$02,$9F,$FF,$FF,$FF,$FF
 .db $92,$5F,$FB,$FF,$FD,$FF,$81,$27,$FF,$E8,$02,$3F,$FF,$FF,$FF,$FF
 .db $9F,$7F,$FB,$FF,$F5,$FF,$80,$27,$FF,$D8,$01,$9F,$FF,$FF,$FF,$FF
 .db $15,$DF,$0B,$FF,$F9,$FF,$80,$27,$38,$D8,$08,$0F,$FF,$7F,$FF,$FF
 .db $D7,$FF,$FB,$FF,$FC,$7F,$80,$38,$00,$14,$04,$0F,$FF,$FF,$FF,$FF
 .db $1B,$C4,$B1,$FF,$F8,$1F,$00,$78,$00,$3F,$0C,$07,$FF,$FF,$FF,$FF
 .db $FE,$46,$DF,$FF,$FC,$4F,$40,$B4,$00,$FB,$88,$07,$FF,$FF,$FF,$F7
 .db $52,$46,$FF,$FF,$F8,$AF,$E0,$03,$3E,$31,$90,$02,$FF,$FF,$FF,$FE
 .db $B2,$49,$BF,$FF,$FB,$45,$E0,$D0,$02,$11,$30,$02,$3F,$EF,$FF,$FF
 .db $50,$67,$FB,$FF,$FE,$29,$F1,$60,$03,$80,$40,$0C,$55,$FB,$FF,$EF
 .db $47,$FF,$FF,$FF,$BF,$98,$F5,$AE,$C3,$B2,$60,$07,$0D,$FF,$FF,$FF
 .db $06,$7F,$F3,$F9,$FF,$8A,$29,$30,$19,$63,$00,$02,$80,$77,$FB,$FF
 .db $DB,$FF,$F7,$F7,$FE,$05,$05,$7F,$CB,$B0,$80,$01,$C0,$7B,$FF,$FF
 .db $B3,$FF,$91,$EF,$FC,$40,$AA,$31,$C4,$B8,$80,$0D,$A0,$0B,$FF,$FF
 .db $8F,$FF,$39,$E7,$FF,$21,$41,$04,$0F,$AA,$00,$1C,$60,$0B,$FF,$FF
 .db $7F,$FC,$73,$DF,$FF,$38,$89,$80,$09,$93,$80,$1F,$5C,$05,$2D,$FF
 .db $7F,$F2,$23,$EF,$EF,$10,$69,$C0,$1B,$87,$00,$0F,$A6,$00,$7F,$7F
 .db $FF,$C9,$C1,$FF,$FF,$98,$0E,$61,$67,$CF,$00,$0F,$FE,$00,$7F,$BF
 .db $FF,$E1,$07,$FF,$FF,$19,$14,$4C,$18,$3D,$00,$1F,$FE,$00,$1F,$EF
 .db $FD,$51,$FF,$FF,$E7,$E4,$34,$00,$09,$FE,$00,$00,$97,$80,$1F,$89
 .db $FB,$B7,$FF,$FF,$E7,$E2,$12,$80,$03,$FE,$00,$00,$17,$00,$14,$5B
 .db $F5,$FF,$FF,$FF,$CB,$C4,$1C,$00,$17,$FE,$08,$00,$05,$80,$07,$31
 .db $B6,$FF,$FF,$FF,$CB,$81,$1F,$A0,$1F,$D6,$08,$00,$01,$80,$04,$F7
 .db $3F,$FF,$FF,$EF,$CB,$E0,$1F,$FF,$FF,$F6,$08,$00,$00,$A0,$00,$F8
 .db $3E,$FF,$FF,$FF,$87,$F0,$9F,$FF,$FF,$40,$00,$00,$00,$30,$01,$7F
 .db $F3,$FF,$FC,$5F,$87,$50,$DF,$FF,$E2,$05,$04,$00,$00,$0C,$00,$3F
 .db $FF,$FF,$FD,$FF,$8A,$70,$5F,$FF,$E4,$04,$00,$00,$00,$08,$01,$1F
 .db $FF,$FF,$FB,$7F,$82,$F0,$3F,$FF,$FC,$04,$86,$00,$00,$02,$00,$2F
 .db $FF,$FF,$E8,$FF,$81,$F8,$1F,$FF,$F8,$00,$80,$00,$70,$00,$80,$11
 .db $FF,$FF,$59,$7F,$85,$F8,$1F,$FF,$94,$14,$C3,$00,$78,$01,$80,$2D
 .db $01,$7F,$E2,$FF,$8C,$FC,$0B,$FF,$BC,$08,$5A,$84,$1C,$01,$00,$12
 .db $FE,$3F,$07,$FF,$8F,$FA,$0B,$FF,$B0,$08,$0F,$8A,$08,$00,$10,$1B
 .db $EF,$FE,$C7,$FF,$09,$7E,$0B,$FF,$9C,$00,$31,$C7,$0D,$80,$00,$03
 .db $FF,$FE,$87,$FF,$18,$7C,$02,$FF,$74,$08,$3B,$E2,$DF,$40,$10,$05
 .db $7F,$FE,$84,$00,$01,$77,$11,$FF,$A4,$20,$13,$D3,$47,$A8,$0A,$3E
 .db $FF,$C9,$BF,$EC,$78,$75,$24,$7F,$7B,$B0,$1D,$FE,$FB,$E8,$06,$FC
 .db $FF,$8F,$FF,$FF,$AD,$00,$E7,$BF,$FC,$F0,$4B,$F5,$F7,$BE,$19,$00
 .db $F6,$3F,$FF,$FF,$BF,$30,$2E,$3F,$FF,$F0,$0D,$D0,$0D,$74,$71,$60
 .db $F3,$DF,$FF,$FF,$7F,$F4,$00,$C7,$BF,$FC,$03,$1F,$B8,$02,$77,$A2
 .db $F1,$BF,$FF,$FF,$FF,$FD,$68,$4C,$BB,$E0,$18,$DC,$64,$10,$45,$72
 .db $94,$BF,$FF,$FF,$FF,$FE,$C0,$00,$AA,$E6,$0F,$FF,$9E,$00,$00,$A1
 .db $49,$07,$FF,$FD,$FF,$FF,$A0,$00,$13,$EC,$1B,$FF,$CA,$00,$00,$07
 .db $12,$03,$FF,$FB,$FF,$FF,$E0,$00,$1B,$EF,$77,$FF,$ED,$00,$00,$21
 .db $4C,$10,$FF,$FD,$FF,$FF,$F0,$00,$06,$E1,$DB,$FF,$F5,$00,$00,$09
 .db $90,$10,$FF,$F3,$EF,$FF,$FC,$00,$E6,$3F,$FD,$FF,$FA,$C0,$00,$02
 .db $70,$20,$FF,$DF,$EF,$FF,$7A,$00,$A6,$0F,$FF,$FF,$FA,$A0,$00,$02
 .db $20,$00,$7F,$FF,$FF,$F8,$EF,$20,$80,$3F,$EF,$FF,$FD,$D0,$00,$01
 .db $20,$40,$FF,$FF,$BF,$F7,$DC,$90,$00,$2F,$FD,$FF,$FD,$F0,$00,$01
 .db $10,$00,$7F,$FF,$FF,$FB,$73,$20,$80,$07,$FE,$FF,$FE,$B0,$00,$01
 .db $00,$00,$7F,$BF,$FF,$9F,$EF,$E0,$80,$07,$EF,$FF,$FE,$D8,$00,$01
 .db $0C,$00,$7F,$FF,$BF,$7C,$9F,$42,$80,$03,$FF,$7F,$FF,$78,$00,$07
 .db $00,$00,$3F,$3E,$3E,$33,$FE,$AC,$40,$04,$F6,$7F,$FF,$D8,$00,$03
 .db $00,$80,$3E,$FE,$FF,$7D,$FB,$F0,$40,$02,$FF,$FF,$FF,$FC,$00,$07
 .db $00,$40,$3F,$7E,$FF,$F9,$DF,$F1,$C0,$01,$F3,$3F,$FF,$DE,$00,$03
 .db $00,$20,$1D,$7F,$7F,$FF,$FF,$D0,$40,$01,$F9,$FF,$FF,$EA,$00,$07
 .db $00,$08,$1D,$FC,$FF,$FF,$FF,$F1,$C4,$00,$10,$3F,$FF,$FD,$02,$07
 .db $00,$00,$1B,$FD,$FF,$FF,$FF,$E1,$A0,$00,$B3,$FF,$FF,$FD,$91,$AB
 .db $00,$01,$DF,$67,$FF,$FF,$FF,$F1,$80,$00,$DF,$DF,$FF,$FC,$80,$BE
 .db $00,$00,$2F,$E1,$FF,$FB,$FF,$F1,$A0,$00,$FD,$DF,$FF,$F5,$94,$2A
 .db $00,$00,$0A,$FB,$FF,$FF,$FF,$F9,$26,$00,$FD,$DF,$FB,$F8,$CA,$D8
 .db $00,$00,$00,$C1,$FF,$EF,$FF,$F8,$C4,$00,$FD,$EF,$7F,$FF,$0C,$BF
 .db $00,$00,$00,$80,$5F,$FF,$FF,$F9,$82,$00,$3E,$EB,$7F,$FE,$DF,$FD
 .db $00,$00,$00,$00,$3F,$FF,$FF,$F8,$63,$00,$7E,$E3,$7E,$D3,$5F,$F7
 
disp2data:
 .db $00,$00,$25,$80,$00,$07,$03,$40,$00,$00,$20,$00,$02,$00,$80,$D7
 .db $01,$00,$04,$40,$10,$01,$01,$40,$00,$00,$50,$00,$00,$40,$81,$0B
 .db $10,$80,$0C,$40,$00,$13,$04,$40,$04,$00,$1C,$02,$02,$80,$01,$85
 .db $00,$00,$00,$60,$10,$13,$84,$40,$00,$00,$44,$04,$00,$80,$01,$53
 .db $08,$00,$02,$30,$08,$01,$81,$00,$02,$00,$41,$08,$03,$80,$01,$0E
 .db $04,$40,$04,$00,$00,$05,$C2,$20,$02,$00,$63,$00,$09,$80,$80,$1C
 .db $00,$20,$02,$10,$04,$06,$A3,$00,$02,$00,$41,$00,$0C,$80,$00,$38
 .db $00,$00,$02,$04,$00,$03,$E0,$20,$22,$00,$21,$10,$08,$80,$01,$71
 .db $02,$10,$00,$90,$04,$01,$E1,$21,$21,$00,$22,$20,$00,$80,$01,$73
 .db $81,$00,$01,$40,$00,$00,$E0,$10,$23,$00,$80,$20,$05,$00,$80,$C2
 .db $80,$88,$00,$00,$02,$00,$60,$B0,$20,$00,$40,$00,$01,$80,$81,$C3
 .db $80,$00,$00,$40,$02,$00,$A3,$80,$21,$04,$61,$00,$0D,$10,$81,$07
 .db $C0,$40,$00,$20,$00,$00,$11,$10,$21,$04,$81,$40,$21,$10,$03,$09
 .db $C0,$43,$00,$02,$21,$00,$71,$91,$20,$04,$80,$80,$08,$00,$02,$0E
 .db $E0,$20,$00,$00,$00,$00,$18,$10,$21,$04,$40,$00,$51,$00,$00,$02
 .db $60,$10,$00,$00,$00,$80,$3C,$10,$00,$84,$01,$00,$00,$11,$0C,$24
 .db $F0,$00,$00,$00,$08,$80,$1C,$C8,$10,$80,$01,$80,$30,$00,$08,$60
 .db $30,$08,$C0,$00,$00,$00,$10,$48,$80,$04,$00,$80,$82,$21,$10,$44
 .db $D8,$00,$60,$04,$02,$00,$1C,$08,$00,$80,$80,$80,$A2,$21,$B0,$C0
 .db $6C,$00,$00,$04,$01,$40,$1C,$08,$80,$00,$01,$80,$02,$00,$20,$10
 .db $7C,$02,$00,$00,$40,$00,$0E,$00,$00,$80,$00,$00,$60,$40,$80,$48
 .db $53,$01,$18,$03,$01,$C0,$06,$08,$80,$84,$01,$00,$04,$00,$80,$88
 .db $9B,$81,$0C,$00,$00,$40,$0E,$48,$00,$80,$81,$02,$E4,$03,$04,$88
 .db $0F,$C0,$84,$00,$80,$00,$0F,$00,$40,$00,$01,$84,$C4,$03,$0C,$90
 .db $0F,$C0,$00,$00,$80,$20,$07,$04,$40,$00,$00,$82,$48,$03,$09,$10
 .db $07,$70,$01,$08,$80,$30,$03,$24,$60,$C0,$00,$84,$0C,$82,$11,$00
 .db $0F,$A8,$40,$00,$00,$7C,$07,$04,$60,$C4,$01,$80,$48,$82,$13,$30
 .db $05,$BC,$10,$C0,$06,$02,$81,$20,$40,$05,$01,$00,$09,$84,$42,$30
 .db $01,$DC,$10,$42,$40,$00,$43,$20,$60,$05,$01,$08,$10,$00,$00,$10
 .db $01,$BF,$08,$21,$32,$00,$23,$42,$20,$00,$01,$08,$90,$10,$00,$20
 .db $00,$F7,$04,$01,$AF,$00,$09,$32,$20,$04,$01,$11,$00,$28,$80,$60
 .db $00,$7F,$80,$00,$EF,$80,$03,$C2,$00,$04,$40,$17,$B2,$08,$04,$62
 .db $00,$3D,$82,$04,$FF,$00,$02,$D1,$20,$04,$01,$60,$42,$4A,$00,$40
 .db $00,$7D,$80,$04,$F7,$80,$00,$C0,$00,$04,$01,$C0,$42,$48,$08,$48
 .db $20,$0F,$80,$81,$FB,$80,$00,$A1,$10,$04,$01,$00,$13,$84,$00,$40
 .db $40,$07,$C0,$0B,$FB,$80,$00,$60,$10,$44,$02,$50,$0E,$10,$00,$40
 .db $30,$07,$E0,$07,$FF,$80,$00,$00,$10,$40,$00,$40,$04,$10,$00,$40
 .db $80,$05,$80,$1F,$FD,$80,$00,$09,$10,$44,$00,$00,$04,$30,$60,$01
 .db $08,$01,$F0,$0F,$FF,$80,$00,$08,$10,$04,$10,$A0,$06,$00,$00,$C3
 .db $68,$00,$F8,$0F,$FF,$80,$00,$04,$90,$00,$71,$C0,$06,$00,$00,$AC
 .db $66,$00,$F8,$1F,$FF,$80,$00,$02,$80,$00,$61,$80,$00,$40,$01,$90
 .db $70,$00,$F8,$3F,$FF,$80,$00,$09,$18,$00,$40,$40,$10,$40,$11,$30
 .db $30,$80,$1A,$1F,$FF,$80,$00,$00,$80,$C0,$00,$00,$31,$80,$20,$01
 .db $24,$80,$3C,$3F,$FF,$80,$00,$08,$48,$08,$02,$80,$21,$82,$43,$01
 .db $18,$40,$1C,$1F,$FF,$80,$00,$00,$48,$00,$02,$80,$01,$82,$07,$07
 .db $0C,$00,$00,$7F,$FF,$C0,$00,$00,$28,$8A,$01,$11,$80,$04,$0C,$08
 .db $00,$00,$06,$7F,$FD,$C0,$00,$00,$18,$06,$04,$21,$C8,$08,$8C,$03
 .db $00,$88,$03,$3F,$FD,$C1,$00,$00,$18,$00,$06,$20,$20,$81,$08,$40
 .db $C1,$04,$00,$7F,$FD,$C3,$C4,$04,$0C,$10,$02,$41,$10,$90,$00,$04
 .db $61,$E0,$00,$7F,$FD,$C3,$8A,$04,$00,$10,$00,$45,$30,$82,$11,$80
 .db $20,$DB,$00,$3F,$FF,$C0,$0C,$00,$02,$30,$00,$00,$00,$84,$60,$08
 .db $98,$70,$00,$7F,$FD,$E0,$10,$00,$02,$00,$00,$00,$00,$80,$40,$10
 .db $08,$7E,$00,$7F,$FF,$E0,$20,$00,$01,$80,$00,$02,$00,$08,$88,$10
 .db $0C,$3F,$20,$7F,$FF,$F0,$18,$00,$01,$80,$00,$00,$00,$10,$03,$00
 .db $02,$1E,$20,$3F,$FF,$F0,$04,$00,$00,$00,$00,$00,$00,$30,$22,$4E
 .db $01,$0F,$80,$3F,$3F,$F8,$00,$00,$00,$00,$00,$02,$00,$C0,$80,$1E
 .db $00,$C3,$4C,$1F,$7F,$FC,$00,$01,$00,$00,$00,$02,$00,$C2,$0C,$7F
 .db $00,$07,$A2,$1E,$7F,$FE,$00,$00,$C0,$01,$80,$02,$00,$84,$01,$FF
 .db $00,$03,$00,$06,$7F,$FE,$00,$00,$A0,$01,$00,$08,$00,$04,$00,$FF
 .db $90,$02,$E1,$30,$FA,$FC,$00,$30,$60,$06,$80,$00,$00,$00,$23,$E7
 .db $60,$04,$61,$A8,$FE,$03,$80,$00,$E0,$07,$00,$00,$00,$00,$47,$C3
 .db $08,$06,$F1,$6C,$70,$00,$40,$08,$78,$07,$01,$00,$00,$00,$03,$6F
 .db $A0,$03,$FF,$EE,$F0,$00,$00,$00,$78,$0F,$63,$02,$FC,$01,$08,$BE
 .db $91,$81,$1F,$FD,$D4,$00,$10,$06,$64,$3A,$68,$06,$0C,$59,$14,$DF
 .db $E0,$F1,$8F,$DF,$E0,$00,$08,$06,$63,$32,$70,$08,$04,$52,$19,$2F
 .db $F2,$79,$8F,$FF,$A8,$00,$04,$07,$63,$27,$30,$00,$06,$3A,$30,$7F
 .db $E9,$8F,$03,$FF,$A0,$00,$02,$07,$61,$C7,$E4,$60,$06,$B2,$3A,$7F
 .db $3E,$82,$03,$FF,$F9,$00,$00,$03,$C0,$83,$E4,$40,$04,$76,$7F,$F8
 .db $1F,$73,$61,$FF,$8C,$C0,$00,$00,$00,$80,$E4,$00,$02,$D0,$FF,$F1
 .db $0F,$A7,$65,$FF,$94,$E0,$40,$40,$80,$01,$64,$00,$02,$F6,$7F,$EC
 .db $0B,$FD,$E8,$FF,$FF,$40,$00,$20,$00,$01,$84,$0D,$8D,$AF,$B3,$0C
 .db $03,$FF,$6C,$FF,$FF,$C0,$0C,$00,$40,$03,$00,$21,$38,$2F,$C6,$B0
 .db $41,$7F,$7C,$FF,$FF,$E0,$02,$18,$20,$07,$10,$03,$E2,$20,$98,$70
 .db $00,$3D,$F8,$FF,$FF,$E0,$00,$08,$00,$00,$00,$03,$E0,$90,$2E,$A1
 .db $00,$5D,$F5,$FF,$FF,$F0,$01,$80,$00,$08,$06,$06,$82,$98,$57,$88
 .db $00,$05,$F5,$FF,$FF,$60,$00,$00,$00,$00,$C0,$07,$05,$10,$01,$12
 .db $00,$0D,$FF,$FF,$FF,$30,$01,$E0,$00,$00,$90,$06,$00,$12,$6A,$2A
 .db $01,$FF,$F3,$FF,$FF,$30,$04,$28,$00,$81,$38,$0C,$09,$73,$2D,$AA
 .db $73,$FD,$FB,$FF,$FF,$30,$06,$00,$00,$81,$44,$06,$0B,$88,$34,$00
 .db $FF,$FD,$F7,$FF,$FF,$98,$00,$40,$50,$02,$84,$0C,$02,$90,$11,$10
 .db $FF,$FE,$F6,$1F,$FF,$98,$04,$01,$00,$0D,$84,$0C,$00,$20,$00,$24
 .db $6D,$FE,$F0,$0F,$FF,$9C,$04,$00,$83,$C2,$84,$08,$11,$20,$00,$40
 .db $0D,$8E,$FA,$0B,$FF,$8E,$13,$81,$43,$54,$40,$08,$10,$40,$00,$06
 .db $01,$CB,$FC,$9F,$FF,$E7,$FF,$F1,$17,$93,$3E,$28,$10,$00,$10,$00
 .db $01,$FE,$7C,$1F,$FF,$E2,$00,$16,$0A,$03,$FF,$F8,$32,$80,$00,$00
 .db $60,$3F,$DC,$0F,$FF,$E0,$00,$00,$0C,$C1,$E0,$04,$00,$00,$00,$00
 .db $00,$0E,$DE,$0F,$F8,$2E,$6F,$B4,$00,$00,$2F,$CE,$7B,$C0,$00,$00
 .db $00,$03,$7F,$83,$F3,$74,$00,$70,$00,$26,$10,$76,$22,$18,$00,$00
 .db $00,$01,$F7,$C3,$EC,$A0,$00,$30,$30,$03,$C8,$08,$46,$00,$00,$00
 .db $00,$00,$7F,$E1,$9C,$60,$00,$00,$10,$00,$82,$00,$0D,$00,$00,$00
 .db $00,$00,$7D,$E1,$FC,$00,$00,$00,$08,$00,$08,$00,$5C,$00,$00,$00
 .db $00,$1F,$3E,$E1,$F8,$70,$00,$00,$00,$20,$0A,$00,$50,$00,$00,$00
 .db $00,$0A,$EF,$73,$F4,$78,$00,$00,$00,$00,$0A,$00,$20,$00,$00,$00
 .db $00,$01,$5F,$B1,$F4,$7C,$00,$00,$20,$20,$08,$02,$40,$00,$00,$00
 .db $00,$00,$5F,$9B,$F5,$FD,$00,$00,$78,$20,$09,$C6,$80,$00,$00,$00
 .db $00,$00,$1F,$7F,$EF,$F8,$00,$00,$78,$10,$01,$01,$80,$00,$00,$00
 .db $00,$00,$02,$FE,$EF,$F3,$00,$00,$78,$20,$04,$41,$00,$00,$00,$00
 .db $00,$00,$01,$7E,$FF,$E1,$00,$00,$FC,$10,$00,$85,$00,$00,$00,$00
 .db $00,$00,$00,$7E,$FF,$C2,$20,$00,$7A,$30,$00,$04,$00,$00,$00,$00
 .db $00,$08,$00,$7F,$FF,$CE,$40,$00,$30,$E0,$00,$00,$40,$00,$00,$00
 .db $80,$00,$01,$83,$FF,$AE,$00,$00,$02,$C0,$00,$60,$80,$00,$00,$00
 .db $00,$00,$03,$BF,$FF,$96,$00,$0A,$00,$00,$00,$63,$20,$00,$00,$00
 .db $00,$00,$03,$FF,$FF,$33,$00,$00,$20,$10,$01,$87,$00,$00,$00,$00
 .db $03,$80,$03,$FF,$FF,$F2,$00,$00,$03,$58,$00,$80,$00,$00,$05,$80
 .db $E0,$00,$01,$FF,$BF,$FA,$00,$1E,$00,$38,$00,$C4,$80,$00,$00,$07
 .db $00,$04,$01,$FF,$9F,$F9,$02,$1F,$FF,$F9,$0C,$18,$00,$00,$00,$00
 .db $00,$30,$01,$FF,$FF,$F8,$80,$1F,$FE,$FB,$08,$4A,$00,$00,$00,$00
 .db $0E,$00,$01,$FF,$DF,$FC,$00,$1B,$00,$FB,$00,$D0,$00,$00,$00,$00
 .db $80,$00,$07,$FF,$FF,$FF,$00,$07,$FF,$7A,$01,$10,$00,$00,$00,$00
 .db $00,$00,$03,$FF,$EF,$FD,$02,$37,$FF,$B9,$01,$20,$00,$00,$00,$00
 .db $00,$00,$00,$FF,$E7,$FD,$02,$33,$FF,$DA,$00,$30,$00,$00,$00,$00
 .db $00,$00,$07,$FF,$FB,$FF,$02,$17,$FF,$F2,$00,$00,$00,$00,$00,$00
 .db $00,$00,$07,$FF,$F1,$FF,$02,$1F,$FF,$D8,$00,$80,$00,$00,$00,$00
 .db $00,$00,$07,$FF,$F3,$FF,$00,$1F,$FF,$C8,$00,$00,$00,$00,$00,$00
 .db $00,$20,$07,$FF,$FC,$7F,$00,$34,$00,$10,$02,$00,$00,$00,$00,$00
 .db $00,$00,$07,$FF,$F8,$7F,$00,$30,$00,$04,$02,$00,$00,$00,$00,$00
 .db $04,$00,$0D,$FF,$F8,$5F,$80,$58,$00,$14,$0C,$08,$00,$00,$00,$00
 .db $00,$00,$2B,$FF,$FC,$2F,$80,$50,$00,$22,$00,$08,$00,$00,$00,$08
 .db $80,$01,$7B,$FF,$FE,$17,$80,$20,$BD,$24,$08,$0F,$00,$00,$00,$01
 .db $00,$05,$FB,$FF,$FE,$09,$C0,$40,$00,$04,$E0,$09,$C0,$00,$00,$00
 .db $00,$17,$FB,$FB,$FD,$07,$E0,$00,$00,$92,$90,$08,$38,$00,$00,$00
 .db $00,$3F,$FF,$F3,$BC,$03,$60,$41,$3E,$80,$40,$06,$06,$00,$00,$00
 .db $01,$7F,$F3,$F1,$FC,$01,$B0,$4D,$1A,$00,$A0,$0B,$03,$80,$00,$00
 .db $05,$FF,$F3,$EB,$7C,$40,$F8,$47,$F5,$03,$80,$0F,$80,$00,$00,$00
 .db $0B,$FF,$89,$E6,$FE,$42,$4C,$87,$01,$80,$C0,$0A,$C0,$30,$00,$00
 .db $6F,$FF,$01,$F5,$FE,$00,$3A,$00,$00,$07,$80,$0F,$F0,$0C,$00,$00
 .db $BF,$FC,$03,$CF,$7E,$28,$14,$00,$04,$2B,$80,$0F,$90,$06,$02,$00
 .db $7F,$F1,$C3,$EF,$EE,$00,$00,$00,$02,$27,$00,$1F,$8C,$00,$80,$80
 .db $FF,$CA,$41,$FF,$EF,$00,$00,$C0,$1A,$2E,$00,$1F,$EC,$00,$80,$40
 .db $FF,$A4,$07,$FF,$EF,$81,$06,$37,$F7,$BE,$00,$0F,$FE,$00,$60,$10
 .db $FC,$41,$FF,$FF,$E7,$80,$30,$00,$09,$FC,$08,$00,$7F,$00,$00,$76
 .db $F9,$87,$FF,$FF,$E7,$84,$10,$80,$03,$FC,$08,$00,$0F,$80,$0B,$A4
 .db $F5,$BF,$FF,$FF,$C3,$80,$1C,$00,$17,$FC,$00,$00,$03,$C0,$04,$CE
 .db $82,$7F,$FF,$FF,$C7,$C0,$1F,$A0,$1F,$FA,$00,$00,$00,$40,$03,$08
 .db $2E,$FF,$FF,$EF,$C7,$C0,$1F,$FF,$FF,$C0,$00,$00,$00,$40,$01,$07
 .db $1C,$FF,$FF,$FF,$83,$C0,$1F,$FF,$FF,$84,$08,$00,$00,$00,$00,$80
 .db $73,$FF,$FF,$DF,$8B,$60,$9F,$FF,$F4,$00,$00,$00,$00,$00,$00,$C0
 .db $FF,$FF,$FE,$3F,$86,$60,$7F,$FF,$F0,$00,$04,$00,$00,$04,$00,$20
 .db $FF,$FF,$FC,$FF,$84,$E0,$3F,$FF,$F0,$04,$84,$00,$00,$04,$00,$10
 .db $FF,$FF,$F1,$7F,$87,$F0,$0F,$FF,$C8,$04,$8E,$00,$40,$00,$00,$06
 .db $FF,$FF,$E0,$7F,$83,$F0,$0F,$FF,$A0,$00,$0E,$00,$20,$01,$00,$16
 .db $FA,$7F,$80,$FF,$82,$F8,$07,$FF,$C8,$00,$07,$0A,$10,$00,$C0,$0D
 .db $FE,$4F,$83,$FF,$80,$FC,$07,$FF,$E8,$00,$4F,$08,$2C,$00,$60,$0C
 .db $FF,$F3,$01,$FF,$02,$7C,$01,$FF,$E8,$00,$69,$85,$1E,$00,$20,$04
 .db $FF,$FD,$03,$FF,$02,$7E,$02,$FF,$A8,$00,$05,$C6,$87,$80,$08,$06
 .db $FF,$FE,$F3,$FF,$FE,$7E,$00,$FF,$F8,$18,$05,$E2,$8F,$C0,$00,$01
 .db $FF,$C6,$BF,$FF,$80,$12,$40,$7F,$3C,$78,$17,$F1,$43,$F0,$01,$C3
 .db $FF,$B7,$FF,$FF,$90,$01,$08,$7F,$3F,$F8,$15,$F8,$0C,$30,$06,$01
 .db $F7,$3F,$FF,$FF,$BF,$C0,$01,$7F,$3F,$F8,$11,$CF,$B0,$0F,$CC,$01
 .db $F1,$DF,$FF,$FF,$7F,$F8,$00,$77,$7F,$F0,$18,$E0,$40,$00,$28,$01
 .db $E1,$BF,$FF,$FF,$7F,$FE,$20,$02,$7B,$E4,$06,$DF,$98,$00,$06,$01
 .db $B4,$3F,$FF,$FE,$FF,$FF,$40,$01,$FA,$E4,$0B,$FF,$A0,$00,$03,$B2
 .db $40,$07,$FF,$FF,$FF,$FF,$80,$00,$C3,$EE,$53,$FF,$C4,$00,$00,$3A
 .db $10,$03,$FF,$F9,$FF,$FF,$C0,$00,$D7,$EF,$F3,$FF,$FE,$00,$00,$38
 .db $C0,$00,$FF,$F1,$FF,$FF,$60,$00,$80,$E7,$DF,$FF,$F6,$00,$00,$0E
 .db $00,$00,$FF,$E3,$EF,$FF,$78,$00,$00,$67,$DD,$FF,$F2,$80,$00,$01
 .db $80,$00,$FF,$D7,$EF,$FF,$7C,$00,$00,$6F,$FD,$FF,$FF,$C0,$00,$00
 .db $C0,$00,$7F,$EF,$DF,$F2,$FE,$00,$84,$17,$ED,$FF,$FF,$60,$00,$02
 .db $C0,$00,$FF,$EF,$9F,$FE,$DF,$00,$04,$0F,$ED,$FF,$FF,$E0,$00,$02
 .db $E0,$00,$7F,$DF,$BF,$D2,$3F,$80,$84,$03,$EE,$FF,$FE,$F0,$00,$02
 .db $F0,$00,$7F,$9F,$FF,$8E,$7F,$80,$84,$03,$EE,$FF,$FF,$D0,$00,$02
 .db $F0,$00,$7F,$BF,$3F,$5C,$BE,$02,$84,$01,$FE,$7F,$FF,$C0,$00,$00
 .db $FE,$00,$3F,$3E,$3E,$31,$7D,$C8,$C4,$02,$F6,$FF,$FF,$88,$00,$00
 .db $FF,$00,$3E,$7F,$FC,$7E,$FF,$C8,$C4,$01,$F7,$7F,$FF,$B0,$00,$00
 .db $FF,$80,$3E,$7C,$7F,$F9,$CF,$C0,$44,$01,$F2,$3F,$FF,$D0,$00,$04
 .db $FF,$C0,$1C,$7D,$7F,$FF,$FF,$E0,$C4,$00,$FD,$BF,$FF,$C8,$00,$08
 .db $FF,$F0,$1F,$F9,$FF,$FB,$FF,$E0,$40,$00,$57,$7F,$FF,$EE,$00,$10
 .db $FF,$FC,$19,$F8,$FF,$FB,$FF,$F0,$40,$00,$03,$BF,$FF,$FC,$00,$20
 .db $FF,$FE,$23,$6D,$FF,$F7,$FF,$F0,$40,$00,$7F,$DF,$FF,$F7,$21,$48
 .db $FF,$FF,$D2,$61,$FF,$F7,$FF,$F0,$40,$00,$7D,$FF,$FF,$F7,$31,$97
 .db $FF,$FF,$F1,$67,$FF,$F7,$FF,$F0,$C4,$00,$FF,$FF,$FB,$FC,$3C,$82
 .db $FF,$FF,$FF,$3E,$FF,$EF,$FF,$F1,$04,$00,$7D,$FF,$7D,$FC,$33,$52
 .db $FF,$FF,$FF,$7F,$DF,$EF,$FF,$F1,$44,$00,$3E,$F8,$7F,$FF,$60,$03
 .db $FF,$FF,$FF,$FF,$DF,$EF,$FF,$F0,$84,$00,$3E,$E4,$BE,$C2,$A0,$00
 
disp1data:
 .db $22,$00,$18,$80,$00,$40,$04,$00,$24,$00,$18,$01,$00,$40,$01,$BF
 .db $10,$00,$16,$80,$00,$22,$04,$00,$24,$00,$18,$00,$02,$00,$00,$FF
 .db $01,$00,$01,$C0,$10,$02,$01,$00,$20,$00,$50,$02,$02,$00,$80,$7F
 .db $00,$80,$08,$40,$00,$00,$01,$00,$20,$00,$54,$04,$00,$80,$80,$FE
 .db $00,$00,$04,$20,$00,$08,$01,$00,$20,$00,$40,$00,$05,$00,$80,$FC
 .db $08,$40,$00,$30,$08,$05,$01,$00,$20,$00,$00,$08,$04,$00,$81,$F8
 .db $04,$00,$01,$08,$08,$01,$00,$20,$22,$00,$22,$00,$08,$00,$81,$F8
 .db $02,$10,$00,$90,$04,$00,$02,$20,$02,$00,$22,$10,$02,$80,$80,$F1
 .db $00,$00,$00,$02,$00,$00,$02,$20,$02,$00,$21,$00,$02,$80,$81,$E1
 .db $01,$08,$00,$09,$00,$01,$82,$21,$00,$00,$20,$00,$10,$80,$01,$C1
 .db $01,$00,$00,$48,$80,$00,$82,$01,$01,$00,$A0,$00,$14,$00,$01,$83
 .db $00,$84,$00,$04,$02,$00,$C0,$11,$01,$00,$80,$40,$21,$00,$01,$83
 .db $00,$02,$00,$00,$20,$00,$60,$91,$01,$00,$40,$00,$49,$10,$02,$03
 .db $00,$40,$00,$00,$00,$00,$20,$90,$01,$00,$41,$00,$41,$10,$02,$0B
 .db $00,$21,$00,$12,$11,$00,$21,$80,$00,$04,$41,$80,$00,$10,$04,$17
 .db $80,$10,$80,$01,$09,$00,$01,$80,$00,$04,$41,$80,$10,$20,$08,$17
 .db $80,$00,$80,$09,$04,$80,$01,$00,$00,$04,$01,$00,$00,$21,$00,$07
 .db $C0,$00,$00,$08,$04,$80,$00,$00,$00,$84,$01,$00,$20,$21,$00,$4F
 .db $A0,$04,$20,$04,$82,$00,$10,$48,$80,$84,$01,$00,$42,$01,$20,$DF
 .db $90,$04,$20,$00,$00,$00,$10,$48,$80,$84,$80,$01,$42,$01,$60,$EF
 .db $80,$00,$10,$02,$01,$C0,$10,$48,$80,$84,$80,$81,$02,$00,$41,$4F
 .db $EC,$02,$00,$00,$40,$80,$08,$40,$00,$84,$80,$80,$20,$40,$82,$0F
 .db $E4,$01,$08,$01,$20,$00,$08,$00,$00,$84,$00,$80,$00,$40,$80,$8F
 .db $10,$00,$80,$00,$00,$60,$04,$00,$00,$84,$00,$02,$44,$03,$08,$0F
 .db $01,$00,$82,$00,$80,$20,$04,$00,$00,$84,$01,$05,$44,$02,$00,$0F
 .db $08,$80,$42,$00,$10,$20,$04,$04,$40,$04,$01,$05,$48,$02,$01,$1F
 .db $04,$40,$21,$88,$01,$98,$00,$24,$40,$04,$01,$00,$08,$84,$10,$1F
 .db $02,$40,$00,$04,$48,$01,$02,$26,$20,$44,$01,$0A,$00,$0C,$22,$1F
 .db $02,$20,$10,$40,$2C,$00,$80,$26,$20,$44,$01,$0A,$01,$0C,$42,$3F
 .db $01,$00,$08,$21,$1C,$00,$02,$22,$20,$45,$01,$04,$91,$00,$80,$3F
 .db $00,$88,$04,$10,$F0,$00,$12,$02,$20,$44,$01,$04,$90,$10,$00,$3F
 .db $00,$04,$02,$08,$90,$00,$04,$10,$20,$44,$01,$18,$80,$29,$04,$3F
 .db $80,$42,$00,$05,$00,$00,$01,$10,$00,$44,$40,$68,$62,$48,$08,$7F
 .db $00,$22,$01,$03,$08,$00,$01,$11,$00,$44,$40,$28,$22,$02,$00,$7F
 .db $40,$10,$00,$06,$04,$00,$00,$51,$00,$44,$40,$00,$10,$80,$00,$7F
 .db $20,$08,$80,$44,$04,$00,$00,$11,$00,$44,$42,$00,$01,$08,$00,$7F
 .db $00,$08,$00,$28,$00,$00,$00,$31,$10,$44,$44,$50,$08,$10,$10,$7F
 .db $80,$02,$20,$10,$02,$00,$00,$08,$10,$40,$48,$20,$02,$20,$00,$7F
 .db $80,$02,$00,$10,$00,$00,$00,$00,$10,$40,$40,$00,$02,$20,$40,$7E
 .db $44,$01,$00,$10,$00,$00,$00,$0A,$10,$40,$00,$80,$08,$40,$00,$F8
 .db $20,$00,$80,$00,$00,$00,$00,$08,$10,$40,$20,$40,$08,$40,$80,$F8
 .db $92,$00,$04,$00,$00,$00,$00,$09,$80,$40,$41,$00,$01,$80,$01,$F0
 .db $41,$00,$60,$20,$00,$00,$00,$08,$88,$00,$80,$00,$01,$01,$03,$C0
 .db $18,$00,$00,$20,$00,$00,$00,$00,$08,$80,$00,$81,$41,$00,$03,$83
 .db $04,$00,$10,$20,$00,$00,$00,$00,$48,$89,$02,$00,$C3,$02,$43,$01
 .db $06,$20,$0C,$00,$00,$00,$60,$00,$08,$0A,$00,$01,$05,$80,$84,$0B
 .db $03,$10,$04,$00,$00,$00,$C0,$00,$08,$88,$00,$10,$80,$88,$08,$13
 .db $81,$80,$02,$40,$00,$00,$82,$00,$08,$8C,$00,$03,$C0,$80,$00,$27
 .db $00,$40,$00,$40,$00,$00,$00,$00,$00,$88,$00,$07,$60,$A0,$10,$87
 .db $80,$44,$00,$40,$00,$00,$04,$00,$04,$88,$00,$0A,$F0,$A0,$10,$0F
 .db $F0,$30,$00,$40,$00,$02,$10,$00,$00,$A0,$00,$84,$10,$C0,$22,$0F
 .db $F0,$19,$00,$40,$02,$00,$44,$00,$02,$A0,$00,$04,$00,$80,$44,$8F
 .db $0C,$08,$80,$40,$00,$00,$08,$00,$01,$00,$00,$04,$00,$80,$01,$1F
 .db $06,$04,$40,$40,$00,$00,$10,$00,$00,$40,$00,$06,$00,$80,$90,$3F
 .db $01,$02,$80,$40,$00,$00,$04,$00,$00,$80,$02,$06,$00,$A1,$40,$31
 .db $00,$81,$10,$40,$C0,$00,$02,$00,$00,$00,$02,$04,$00,$01,$04,$61
 .db $00,$00,$98,$20,$80,$00,$01,$00,$00,$00,$82,$00,$00,$02,$08,$80
 .db $00,$60,$40,$11,$80,$00,$00,$00,$80,$00,$82,$00,$00,$04,$00,$00
 .db $00,$30,$82,$19,$80,$00,$00,$00,$C0,$01,$82,$00,$00,$00,$11,$00
 .db $C0,$09,$00,$1F,$9F,$FE,$00,$00,$E0,$03,$02,$30,$00,$00,$22,$00
 .db $B0,$09,$81,$37,$98,$01,$00,$18,$70,$07,$02,$40,$00,$00,$40,$00
 .db $4C,$03,$00,$B3,$9C,$00,$20,$08,$78,$0F,$02,$80,$00,$00,$8C,$00
 .db $13,$02,$00,$71,$1C,$00,$00,$06,$6C,$1B,$06,$01,$08,$00,$00,$00
 .db $01,$82,$E0,$62,$3C,$00,$10,$06,$6C,$1B,$26,$04,$04,$01,$00,$00
 .db $0C,$22,$70,$20,$3C,$00,$0C,$06,$66,$33,$3C,$10,$0E,$2E,$20,$00
 .db $02,$42,$78,$20,$78,$00,$04,$06,$63,$23,$7C,$30,$0E,$44,$40,$00
 .db $81,$34,$FC,$00,$78,$00,$02,$07,$E1,$43,$F8,$00,$0E,$44,$40,$00
 .db $C0,$0D,$FC,$00,$60,$FC,$01,$07,$C0,$C3,$F8,$80,$0E,$84,$80,$07
 .db $E0,$20,$9E,$00,$7F,$C0,$80,$80,$80,$00,$99,$00,$0C,$05,$00,$0E
 .db $F0,$10,$9E,$00,$7B,$C0,$40,$80,$00,$00,$9A,$00,$0C,$15,$80,$1B
 .db $FC,$06,$9F,$00,$00,$E0,$10,$00,$40,$02,$1C,$1B,$89,$32,$4C,$F3
 .db $FE,$00,$9B,$00,$00,$60,$08,$30,$20,$04,$18,$43,$ED,$54,$3F,$4F
 .db $FF,$80,$83,$00,$00,$60,$00,$00,$00,$00,$11,$83,$1C,$5F,$0F,$8F
 .db $FF,$C2,$07,$00,$00,$60,$01,$00,$00,$08,$22,$07,$02,$18,$71,$5E
 .db $FF,$E2,$0E,$00,$00,$60,$00,$04,$00,$00,$20,$07,$02,$98,$E8,$77
 .db $FF,$FA,$0A,$00,$00,$30,$00,$42,$00,$00,$08,$06,$01,$AF,$FE,$ED
 .db $FF,$FE,$08,$00,$00,$30,$03,$A1,$00,$00,$88,$06,$05,$A9,$95,$D5
 .db $FF,$FE,$0C,$00,$00,$30,$03,$D0,$84,$80,$10,$06,$04,$86,$D2,$55
 .db $FC,$02,$04,$00,$00,$30,$05,$E8,$84,$81,$38,$0C,$08,$9F,$CB,$FF
 .db $00,$02,$05,$80,$00,$30,$07,$A4,$64,$82,$7C,$0C,$0A,$9F,$EE,$EF
 .db $F0,$01,$01,$E0,$00,$18,$07,$C1,$14,$98,$FC,$08,$01,$3F,$FF,$DB
 .db $FE,$01,$03,$F0,$00,$18,$03,$C1,$14,$91,$FC,$08,$00,$3F,$FF,$BF
 .db $FF,$F1,$01,$F4,$00,$1C,$01,$01,$F4,$9E,$78,$18,$10,$7F,$FF,$FF
 .db $FE,$3C,$80,$70,$00,$1F,$FF,$FF,$04,$46,$00,$18,$12,$7F,$EF,$FF
 .db $FF,$81,$80,$30,$00,$1C,$00,$0E,$01,$C3,$FF,$F0,$00,$FF,$FF,$FF
 .db $9F,$C0,$60,$10,$00,$1C,$00,$00,$04,$03,$D8,$00,$25,$FF,$FF,$FF
 .db $FF,$F0,$20,$08,$07,$FF,$FF,$C2,$10,$00,$5F,$F0,$21,$FF,$FF,$FF
 .db $FF,$FC,$10,$04,$0F,$F8,$00,$0C,$08,$03,$EC,$3E,$42,$0F,$FF,$FF
 .db $FF,$FE,$08,$04,$1F,$C0,$00,$00,$08,$00,$34,$01,$40,$3F,$FF,$FF
 .db $FF,$FF,$84,$02,$63,$80,$00,$00,$10,$00,$04,$00,$49,$FF,$FF,$FF
 .db $FF,$FF,$82,$02,$03,$C0,$00,$00,$00,$00,$06,$00,$03,$FF,$FF,$FF
 .db $FF,$FF,$E1,$02,$07,$80,$00,$00,$00,$00,$04,$00,$3F,$FF,$FF,$FF
 .db $FF,$FD,$F1,$82,$0F,$80,$00,$00,$00,$20,$04,$00,$7F,$FF,$FF,$FF
 .db $FF,$FF,$80,$42,$0B,$81,$00,$00,$00,$20,$04,$61,$FF,$FF,$FF,$FF
 .db $FF,$FF,$E0,$7C,$0A,$02,$00,$00,$00,$20,$04,$80,$FF,$FF,$FF,$FF
 .db $FF,$FF,$F8,$82,$10,$06,$00,$00,$00,$20,$0C,$10,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$81,$10,$0C,$00,$00,$00,$10,$00,$07,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$81,$00,$1E,$00,$00,$00,$10,$00,$01,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$81,$00,$3C,$00,$00,$7C,$10,$00,$01,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$80,$00,$38,$80,$00,$1F,$F0,$00,$09,$BF,$FF,$FF,$FF
 .db $FF,$FF,$FE,$7C,$80,$70,$00,$00,$01,$00,$00,$03,$7F,$FF,$FF,$FF
 .db $FF,$FF,$FF,$C0,$80,$68,$00,$0C,$00,$00,$00,$12,$DF,$FF,$FF,$FF
 .db $FF,$FF,$FE,$00,$00,$CC,$00,$11,$C0,$30,$00,$42,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FE,$00,$00,$0C,$00,$10,$00,$08,$01,$07,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FE,$00,$40,$04,$00,$38,$00,$38,$02,$07,$7F,$FF,$FF,$FF
 .db $FF,$FB,$FE,$00,$60,$06,$02,$3F,$FF,$F8,$0C,$27,$FF,$FF,$FF,$FF
 .db $FF,$CF,$FE,$00,$20,$06,$02,$3F,$FF,$F9,$10,$35,$FF,$FF,$FF,$FF
 .db $F1,$FF,$FE,$00,$20,$02,$02,$3C,$FF,$F9,$00,$4F,$FF,$FF,$FF,$FF
 .db $7F,$FF,$FC,$00,$00,$00,$02,$38,$00,$F9,$00,$9F,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FC,$00,$10,$02,$02,$28,$00,$4A,$00,$3F,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$00,$18,$02,$02,$2C,$00,$2A,$00,$0F,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FC,$00,$0C,$00,$00,$28,$00,$08,$00,$4F,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FC,$00,$0E,$00,$00,$28,$00,$00,$01,$8F,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FC,$00,$0E,$00,$00,$38,$00,$00,$01,$0F,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FC,$00,$07,$80,$00,$03,$FF,$80,$02,$0F,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FC,$00,$07,$80,$00,$00,$00,$10,$00,$0F,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FE,$00,$07,$E0,$00,$20,$00,$20,$00,$0F,$FF,$FF,$FF,$FF
 .db $FF,$FF,$F4,$00,$03,$F0,$00,$28,$00,$44,$08,$0F,$FF,$FF,$FF,$FF
 .db $FF,$FF,$84,$00,$03,$F8,$00,$70,$43,$C7,$10,$0F,$FF,$FF,$FF,$FF
 .db $FF,$FE,$04,$00,$01,$FE,$00,$20,$01,$E3,$10,$00,$FF,$FF,$FF,$FF
 .db $FF,$F8,$04,$04,$01,$FE,$00,$C0,$01,$61,$60,$00,$1F,$FF,$FF,$FF
 .db $FF,$C0,$00,$0C,$40,$FF,$80,$80,$01,$41,$A0,$08,$03,$FF,$FF,$FF
 .db $FF,$80,$0C,$0E,$00,$7F,$C0,$87,$E7,$C1,$C0,$0C,$01,$FF,$FF,$FF
 .db $FE,$00,$0C,$1C,$80,$7F,$E0,$80,$02,$C1,$40,$0E,$00,$7F,$FF,$FF
 .db $FC,$00,$7E,$19,$00,$3F,$F0,$40,$02,$43,$00,$07,$00,$3F,$FF,$FF
 .db $F0,$00,$FE,$1A,$00,$3F,$FC,$00,$02,$44,$80,$01,$80,$07,$FF,$FF
 .db $C0,$03,$FC,$30,$80,$17,$FE,$00,$02,$44,$00,$00,$E0,$03,$FF,$FF
 .db $80,$0F,$FC,$10,$10,$1F,$FF,$00,$04,$58,$00,$00,$70,$01,$FF,$FF
 .db $00,$37,$BE,$00,$10,$0F,$FF,$80,$04,$71,$00,$00,$10,$00,$FF,$FF
 .db $00,$5F,$F8,$00,$10,$0E,$FB,$F8,$0F,$C1,$00,$00,$00,$00,$7F,$FF
 .db $03,$BE,$00,$00,$18,$07,$CF,$FF,$F6,$02,$00,$00,$00,$00,$1F,$FF
 .db $06,$78,$00,$00,$18,$03,$EF,$7F,$FC,$02,$00,$00,$00,$00,$0F,$FF
 .db $0A,$40,$00,$00,$3C,$03,$E3,$FF,$E8,$02,$00,$00,$00,$00,$0F,$FF
 .db $7D,$80,$00,$00,$3C,$01,$E0,$5F,$E0,$00,$00,$00,$00,$00,$03,$FF
 .db $D1,$00,$00,$10,$3C,$01,$E0,$00,$00,$00,$00,$00,$00,$00,$03,$FF
 .db $E3,$00,$00,$00,$7C,$00,$E0,$00,$00,$00,$00,$00,$00,$20,$01,$FF
 .db $8C,$00,$00,$20,$7C,$80,$60,$00,$18,$04,$08,$00,$00,$00,$00,$7F
 .db $00,$00,$00,$40,$7D,$80,$20,$00,$18,$04,$08,$00,$00,$00,$00,$7F
 .db $00,$00,$00,$00,$7F,$00,$00,$00,$08,$00,$08,$00,$00,$02,$00,$3F
 .db $00,$00,$00,$80,$7E,$00,$10,$00,$20,$00,$0C,$00,$00,$01,$00,$0F
 .db $00,$00,$01,$80,$7E,$00,$10,$00,$68,$00,$0C,$00,$40,$00,$00,$03
 .db $FF,$80,$01,$00,$7F,$00,$0C,$00,$60,$00,$4C,$00,$20,$00,$00,$0F
 .db $01,$F0,$00,$00,$7F,$00,$04,$00,$40,$00,$40,$00,$10,$00,$40,$07
 .db $00,$0C,$02,$00,$FF,$80,$02,$00,$40,$08,$06,$00,$10,$00,$10,$0F
 .db $00,$02,$00,$00,$FF,$80,$01,$00,$40,$08,$26,$00,$08,$00,$00,$03
 .db $00,$01,$0F,$FF,$FF,$80,$01,$00,$40,$08,$26,$00,$08,$00,$0C,$03
 .db $00,$3F,$40,$00,$20,$0F,$80,$80,$C0,$08,$02,$01,$04,$00,$03,$81
 .db $00,$78,$00,$00,$60,$00,$F0,$40,$C0,$08,$12,$01,$43,$C0,$03,$01
 .db $09,$C0,$00,$00,$40,$00,$03,$80,$C0,$08,$12,$3F,$E0,$01,$88,$81
 .db $0E,$20,$00,$00,$80,$00,$20,$38,$C0,$08,$03,$C0,$10,$00,$10,$41
 .db $1E,$40,$00,$00,$80,$00,$00,$07,$C4,$18,$0F,$20,$40,$00,$02,$21
 .db $6B,$C0,$00,$01,$00,$00,$00,$01,$C5,$18,$1C,$00,$48,$00,$01,$11
 .db $BF,$F8,$00,$02,$00,$00,$40,$00,$FC,$10,$EC,$00,$34,$00,$00,$69
 .db $EF,$FC,$00,$06,$00,$00,$00,$00,$CC,$10,$8C,$00,$10,$00,$00,$17
 .db $BF,$FF,$00,$0E,$00,$00,$80,$00,$C7,$1E,$24,$00,$0A,$00,$00,$07
 .db $FF,$FF,$00,$1C,$10,$00,$80,$00,$C4,$D8,$22,$00,$0D,$00,$00,$03
 .db $FF,$FF,$00,$28,$10,$00,$80,$00,$C4,$30,$02,$00,$05,$00,$00,$03
 .db $FF,$FF,$80,$10,$20,$0D,$10,$00,$44,$08,$12,$00,$02,$80,$00,$03
 .db $FF,$FF,$00,$10,$60,$09,$22,$00,$C4,$00,$12,$00,$02,$00,$00,$03
 .db $FF,$FF,$80,$20,$40,$2D,$CC,$30,$44,$04,$11,$00,$01,$40,$00,$03
 .db $FF,$FF,$80,$60,$00,$71,$90,$40,$44,$04,$11,$00,$01,$20,$00,$03
 .db $FF,$FF,$80,$40,$C0,$A3,$61,$84,$44,$02,$01,$80,$00,$B0,$00,$03
 .db $FF,$FF,$C0,$C1,$C1,$CE,$82,$00,$04,$01,$09,$80,$00,$70,$00,$07
 .db $FF,$FF,$C1,$81,$03,$83,$04,$00,$04,$01,$08,$80,$00,$48,$00,$07
 .db $FF,$FF,$C1,$83,$80,$06,$30,$00,$04,$00,$0D,$C0,$00,$28,$00,$07
 .db $FF,$FF,$E3,$82,$80,$00,$00,$00,$04,$00,$06,$40,$00,$34,$00,$07
 .db $FF,$FF,$E2,$07,$00,$04,$00,$00,$04,$00,$EF,$C0,$00,$12,$00,$0F
 .db $FF,$FF,$E6,$07,$00,$04,$00,$00,$04,$00,$FC,$40,$00,$02,$00,$1F
 .db $FF,$FF,$FC,$9A,$00,$08,$00,$00,$04,$00,$80,$20,$00,$09,$01,$F7
 .db $FF,$FF,$FD,$9E,$00,$08,$00,$00,$04,$00,$82,$20,$00,$08,$20,$FD
 .db $FF,$FF,$FF,$9C,$00,$08,$00,$00,$00,$00,$02,$20,$04,$06,$B0,$7F
 .db $FF,$FF,$FF,$FF,$00,$10,$00,$00,$00,$00,$02,$10,$82,$02,$7F,$ED
 .db $FF,$FF,$FF,$FF,$A0,$10,$00,$00,$00,$00,$41,$17,$80,$00,$7F,$FE
 .db $FF,$FF,$FF,$FF,$E0,$10,$00,$01,$00,$00,$41,$1F,$C1,$3D,$7F,$FF
 
.end